Межсайтовый скриптинг в TWiki

Дата публикации:
23.12.2014
Дата изменения:
23.12.2014
Всего просмотров:
855
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
CVE-2014-9325
CVE-2014-9367
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Twiki
TWiki 6.0.x
Уязвимые версии:
TWiki 6.0.1

Описание:

Уязвимость позволяет удаленному пользователю осуществить XSS-атаку.

1. Уязвимость существует из-за неизвестной ошибки при обработке входных данных в QUERYSTRING и QUERYPARAMSTRING в сценариях lib/TWiki.pm и lib/TWiki/UI/View.pm. Удаленный пользователь может с помощью специально сформированной ссылки выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за неизвестной ошибки при обработке входных данных в параметре "scope" в сценарии do/view/TWiki/WebSearch (когда параметр "search" равен "Search"). Удаленный пользователь может с помощью специально сформированной ссылки выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.


URL производителя: http://www.twiki.org/

Решение: Установите последнюю версию с сайта производителя.

Ссылки: http://twiki.org/cgi-bin/view/Codev/SecurityAlert-CVE-2014-9325
http://twiki.org/cgi-bin/view/Codev/SecurityAlert-CVE-2014-9367
https://www.netsparker.com/cve-2014-9325-xss-vulnerability-in-twiki/
https://www.netsparker.com/cve-2014-9367-xss-vulnerability-in-twiki/